FGCOM(1)

NOME
fgcom - client VoIP per l'infrastruttura radio di FlightGear

SINTASSI
fgcom [--server=server] [--host=hostascolto] [--port=porta] [--callsign=nominativo] [--frequency=frequenza] [--atis=frequenza] [--airport=codice] [--username=nomeutente] [--password=password] [--silence-threshold=soglia] [--debug] [--help] [--version]

DESCRIZIONE
fgcom è l'utilità di FlightGear utilizzata per connettersi ai server voce multigiocatore.

Solitamente non è necessario eseguire fgcom dalla riga di comando, in quanto è già integrato in FlightGear, fatta eccezione per alcuni casi specifici (come la registrazione di messaggi ATIS o l'esecuzione di una prova radio, vedi la sezione ESEMPI).

OPZIONI

--server=server
    Connettiti al server FGCom server. Per impostazione predefinita FGCom tenta di connettersi a fgcom.flightgear.org.

--host=hostascolto, --port=porta
    Rimani in ascolto sull'interfaccia di rete con indirizzo IP hostascolto sulla porta porta. Per impostazione predefinita FGCom rimane in ascolto sull'interfaccia di loopback (127.0.0.1) sulla porta 16661. La porta specificata può essere utilizzata da un'istanza di FlightGear per comunicare con FGCom e aggiornare la posizione del pilota durante il volo.

--callsign=nominativo
    Utilizza il nominativo di chiamata nominativo durante la sessione. Per impostazione predefinita FGCom utilizza guest come nominativo di chiamata.

--frequency=frequenza
    Imposta la frequenza radio attiva a frequenza. La frequenza deve essere specificata nel formato xxx.xxx e deve essere fornita in MHz.

--atis=frequenza
    Registra un messaggio ATIS su frequenza MHz. La frequenza deve essere specificata nel formato xxx.xxx e deve essere fornita in MHz.

--airport=codice
    Colloca il pilota/controllore presso l'aeroporto con codice ICAO codice. Dal momento che alcune frequenze radio potrebbero essere riutilizzate nel mondo, è essenziale impostare correttamente la posizione del pilota/controllore per far sì che il server FGCom riesca a determinare il canale vocale corretto. Si utilizzi sempre quest'opzione quando non si connette un'istanza di FlightGear a FGCom.

--username=nomeutente, --password=password
    Accedi al server FGCom con il nome utente nomeutente e la password password.

--silence-threshold=soglia
    Imposta la soglia del silenzio a soglia dB. Il valore deve essere compreso fra -60 e 0. L'impostazione predefinita è -35.0 dB. La soglia del silenzio è il livello al di sotto del quale i suoni catturati dal microfono sono considerati rumore di sottofondo (e, pertanto, filtrati da FGCom). Impostare la soglia del silenzio a -60 disabilita il filtro; impostarla a 0 filtra tutto (muta il microfono).

--debug
    Abilita l'output di debug per scopi di risoluzione dei problemi.

--help
    Visualizza informazioni sull'utilizzo ed esce.

--version
    Visualizza la versione di FGCom ed esce.

STATI D'USCITA
fgcom esce con EXIT_SUCCESS se l'esecuzione ha avuto successo, con EXIT_FAILURE se la sintassi degli argomenti della riga di comando è errata o si verifica un errore.

NOTE
FGCom riconosce diverse frequenze speciali utilizzate per scopi di test o per conversazioni generiche:

•   121.000 MHz, 121.500 MHz: frequenze "di guardia" riservate per comunicazioni di emergenza;

•   123.450 MHz, 123.500 MHz, 122.750 MHz: frequenze per conversazioni generiche;

•   700.000 MHz: frequenza stazione radio. A seconda del server FGCom che si utilizza, verrà riprodotto un messaggio radio preregistrato;

•   723.340 MHz: frequenza comunicazioni guardia aerea francese;

•   910.000 MHz: frequenza echo test. La propria voce sarà ripetuta dopo un breve ritardo per consentire di controllare che microfono, altoparlanti/cuffie e che la connessione al server FGCom funzionino. Il test è limitato a un massimo di 65 secondi, dopo i quali si sarà disconnessi automaticamente;

•   911.000 MHz: "musica d'attesa". La frequenza riproduce continuamente musica di sottofondo per consentire di controllare che la connessione al server FGCom funzioni.

BUG

•   Al momento non esistono procedure per aggiornare le frequenze utilizzate da FGCom con quelle utilizzate nel mondo reale, qualora queste cambino. Pertanto, le prime potrebbero non sempre corrispondere con le seconde. Si utilizzino sempre le frequenze elencate in FlightGear alla voce IA -> Servizi ATC nelle vicinanze anziché quelle pubblicate sulle carte aeronautiche.

ESEMPI
Connettiti al server FGCom predefinito, sintonizzati sulla frequenza di terra (121.800 MHz) dell'aeroporto internazionale di San Francisco (KSFO) e consenti a FlightGear di aggiornare la posizione attuale del pilota inviandola alla porta 16661 (quella predefinita):
    $ fgcom --frequency=121.800 --airport=KSFO Esegui una prova radio collegandoti alla frequenza echo test:
    $ fgcom --frequency=910.000 Registra un messaggio ATIS sulla frequenza ATIS (118.850 MHz) dell'aeroporto internazionale di San Francisco (KSFO):
    $ fgcom --atis=118.850 --airport=KSFO

VEDERE ANCHE
fgfs(1), la pagina "FGCom 3.0" del wiki FlightGear (http://wiki.flightgear.org/FGCom_3.0)